

function onBegin()
	makeUnskippable()
	timer = 5
	math.randomseed(os.time())


	while getFlag("isWrapTop")==false do

		-- warning event
		playSound("event:/new_content/char/granny/dissipate")
		setFlag("galewarning",true)
		wait(1.5)
		setFlag("galewarning",false)
		wait(1.1)
		playSound("event:/new_content/char/granny/dissipate")
		setFlag("galewarning",true)
		wait(1.5)
		setFlag("galewarning",false)
		wait(0.9)

		-- gale event
		setFlag("Downside2_SuddenGust",true)
		wait(8)
		setFlag("Downside2_SuddenGust",false)
		setFlag("Downside2_SuddenGustStops",true)
		wait()
		setFlag("Downside2_SuddenGustStops",false)

		-- time range of how often a wind event should occur. Probably set to 300, 1800
		timer = math.random(300,1800)
		wait(timer)
	end
end